.desafio-MainContainer a:link,
.desafio-MainContainer a:link,
.desafio-MainContainer a:visited,
.desafio-MainContainer a:focus {
    border: 0;
    border-bottom: none;
    border-width: 0;
    outline: none;
    outline-width: 0;
    text-decoration: none !important;
}

/* Contenedor */

.desafio-MainContainer {
    font-size: 1em;
    margin: 0 auto;
    max-width: 900px;
    padding: 0;
    width: 100%;
}

.desafio-MainContainer * {
    box-sizing: border-box;
}

.desafio-MainContainer p {
    margin: 0 !important;
    padding: 0 !important;
}

/* Instrucciones */

.desafio-instructions {
    margin: 0.3em auto;
    width: 100%;
}

.desafio-instructions p {
    font-size: 1em;
}

/* Minimizado */

.desafio-LinkMaximize {
    align-items: center;
    display: flex;
    justify-content: center;
    width: 100%;
}

.desafio-GameMinimize {
    margin: 0.3em auto;
}

.desafio-IconMinimize {
    height: 2em;
    margin-right: 0.3em;
    width: 2em;
}

/* Juego */

.desafio-GameContainer {
    margin: 0.5em auto;
    min-width: 220px;
    padding: 0.3em;
    position: relative;
    width: 100%;
}

/* barra superior */

.desafio-GameScoreBoard {
    align-content: center;
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 0.4em auto;
    margin-bottom: 1em;
    width: 98%;
}

.desafio-GameScoreBoard p {
    font-size: 1.4em !important;
    margin-right: 0.3em !important;
    text-align: center;
    vertical-align: middle;
}

.desafio-GameChallenges {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    width: 70%;
}

.desafio-LinkDesafio,
.desafio-LinkChallenge {
    display: inline-block;
    margin-right: 0.2em;
    width: 1.5em;
    height: 1.5em;
}

.desafio-GameDesafio {
    background-image: url(desafioicon2.png);
    background-size: 100% 100%;
    height: 1.5em;
    width: 1.5em;
}

/* Reloj, Minimizar */

.desafio-TimeNumber {
    align-items: center;
    display: flex;
    justify-content: flex-end;
}

.desafio-LinkMinimize {
    height: 1.5em;
    width: 1.5em;
}

.desafio-PTime {
    font-size: 1em;
    margin: auto 0.3em;
    min-width: 5em;
    text-align: center;
}

.exeQuextRetos,
.exeQuextIcons34 {
    height: 1.5em;
    margin-right: 0.3em;
    width: 1.5em;
}

.desafio-GameScoreBoard .exeQuextIcons34 {
    height: 1.5em;
    width: 1.5em;
}

.desafio-GameScoreBoard .exeQuextIcons34-Time {
    background-image: url(exequexttime.svg);
    background-size: 100% 100%;
}

.desafio-GameScoreBoard .exeQuextIcons34-Minimize {
    background-image: url(exequextmin.svg);
    background-size: 100% 100%;
}

/* Multimedia */

.desafio-Multimedia {
    margin: 0.3em auto;
    overflow: hidden;
    position: relative;
    width: 65%;
}

.desafio-Multimedia:before {
    content: "";
    display: block;
    padding-top: 56%;
}

/* Game Over */

.desafio-GameOver {
    align-items: center;
    display: none;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 20;
}

.desafio-SolvedChallenges {
    height: 1.5em;
    margin: 0.3em auto 0.3em auto;
    width: 100%;
}

.desafio-SolvedChallenges p {
    color: #00ab00;
    height: 100%;
    text-align: center;
    width: 100%;
}

.desafio-DataImageGameOver {
    height: 90%;
    width: 100%;
}

.desafio-HistGGame {
    background-image: url(exequextwon.png);
    background-size: 100% 100%;
}

.desafio-LostGGame {
    background-image: url(exequextlost.png);
    background-size: 100% 100%;
}

.desafio-HistGGame,
.desafio-LostGGame {
    margin: 0.5em auto;
    max-width: 250px;
    width: 40%;
}

.desafio-HistGGame:before,
.desafio-LostGGame:before {
    content: "";
    display: block;
    padding-top: 100%;
}

/* Desafio y retos */

.desafio-Title {
    background-color: transparent;
    display: none;
    margin: 0.3em auto;
    overflow: hidden;
    text-align: center;
    font-weight: bold;
    width: 98%;
    z-index: 1;
}

.desafio-Description,
.desafio-FeedBacks {
    display: none;
    margin: 0.3em auto;
    max-height: 2000px;
    min-height: 100px;
    overflow: hidden;
    padding: 0.3em;
    width: 98%;
    z-index: 1;
}

.desafio-StartGameDiv {
    background-color: transparent;
    display: flex;
    justify-content: center;
    margin: 0.3em auto;
    width: 100%;
}

.desafio-Images {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

/* Botón inicio */

.desafio-StartGame {
    margin: 0.4em auto;
    min-height: 2em;
    padding: 0.4em;
    text-align: center;
    width: 98%;
}

/* Solucion */

.desafio-SolutionDiv {
    align-items: center;
    display: flex;
    justify-content: center;
    margin-top: 0.6em;
    width: 100%;
}

.desafio-Solution {
    margin: 0 0.3em;
    max-width: 350px;
    width: 60%;
    text-align: center;
}

.desafio-SolutionDiv a {
    width: 1.5em;
    height: 1.5em;
}

.desafio-SolutionDiv .exeQuextIcons-Submit {
    background-image: url(exequextreply.svg);
    background-size: 100% 100%;
    width: 100%;
    height: 100%;
}

.desafio-Clues {
    margin-top: 0.8em;
    font-size: 0.9em;
}

/* Mensaje */

.desafio-MessageInfo {
    margin: 0.3em auto;
    width: 100%;
}

.desafio-MessageInfo p {
    text-align: center;
    width: 100%;
}

/* Fecha */

.desafio-DateDiv {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 1.4em auto 0.3em auto;
    width: 98%;
}

.desafio-DateDiv p {
    font-size: 0.8em;
    line-height: 1.5em;
    margin-right: 0.5em;
    padding-left: 0;
}

/* Retos */

.desafio-LinkReboot {
    height: 24px;
    width: 24px;
    display: inline-block;
}

.exeDesafio-IconReboot {
    background-image: url(exequextreload.svg);
    background-size: 100% 100%;
    height: 100%;
    width: 100%;
}

.exeQuextRetos-C0 {
    background: url(number1_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C1 {
    background: url(number2_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C2 {
    background: url(number3_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C3 {
    background: url(number4_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C4 {
    background: url(number5_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C5 {
    background: url(number6_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C6 {
    background: url(number7_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C7 {
    background: url(number8_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C8 {
    background: url(number9_grey.svg) no-repeat center center;
    background-size: contain;
}

.exeQuextRetos-C9 {
    background: url(number10_grey.svg) no-repeat center center;
    background-size: contain;
}

.desafio-Activo {
    -webkit-filter: drop-shadow(0.08em 0.08em 0.1em rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0.08em 0.08em 0.1em rgba(0, 0, 0, 0.2));
    cursor: pointer;
    -moz-transition: transform 0.3s;
    -ms-transition: transform 0.3s;
    -o-transition: transform 0.3s;
    -webkit-transition: transform 0.3s;
    transition: transform 0.3s;
}

.desafio-Activo:hover {
    -moz-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.desafio-BottonContainerDiv,
.Games-BottonContainer {
    align-items: center;
    display: flex;
    justify-content: flex-end;
    margin: 0.1em auto;
    padding: 0;
    width: 100%;
}

.desafio-BottonContainerDivEnd {
    justify-content: flex-end;
}

.Games-GetScore input[type="button"] {
    padding: 0.3em 0.5em;
    margin-right: 0.5em;
    width: auto;
}

.Games-GetScore span {
    display: block;
}

.Games-GetScore form {
    align-items: center;
    display: flex;
    justify-content: center;
}

.Games-BottonContainer {
    margin: 0;
    padding: 0;
    width: 100%;
}

.Games-BottonContainer * {
    margin: 0;
    padding: 0;
}

.Games-GetScore {
    align-items: center;
    display: flex;
    justify-content: center;
    width: 100%;
    margin-top: 1em;
}

.Games-GetScore span {
    display: block;
}

.Games-ReportIconDiv {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.1em;
    width: 100%;
    margin-bottom: 6px;
}

.Games-ReportIconDiv img {
    width: 16px;
    height: 16px;
    display: block;
}

.Games-ReportIconDiv span {
    font-size: 0.9em;
}

@media screen and (max-width: 800px) {
    .desafio-GameContainer {
        font-size: 0.9rem;
    }

    .desafio-LinkDesafio,
    .desafio-LinkMinimize,
    .exeQuextIcons-Submit {
        height: 24px;
        width: 24px;
    }
}

@media screen and (max-width: 650px) {
    .desafio-StartGame {
        margin: 1em auto;
    }

    .desafio-GameScoreBoard {
        align-items: center;
        display: flex;
        flex-direction: column-reverse;
        flex-wrap: wrap;
        justify-content: center;
        margin-top: 0.1em;
        width: 100%;
    }

    .desafio-LinkDesafio,
    .desafio-LinkChallenge {
        margin: 0.5em 0.3em 0 0;
    }

    .desafio-GameChallenges {
        align-items: initial;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: 0 0.3em;
        margin-top: 0.6em;
        width: 100%;
    }

    .desafio-HistGGame,
    .desafio-LostGGame {
        margin: 0.2em auto;
    }
}

@media screen and (max-width: 550px) {
    .desafio-GameContainer {
        font-size: 0.8rem;
    }

    .desafio-StartGame {
        margin: 0.6em auto;
    }

    .desafio-instructions {
        margin: 0.1em auto;
    }

    .desafio-instructions p {
        font-size: 0.8em;
        margin: 0 auto;
    }

    .desafio-GameContainer input[type="text"] {
        background: #fdfdfd;
        border: 1px solid #828282;
        border-radius: 0.1em;
        box-sizing: border-box;
        display: inline-block;
        font-size: 0.9em;
        line-height: 1.1em;
        padding: 0.1em 0.1em;
    }

    .desafio-GameContainer input[type="text"]:active,
    .desafio-GameContainer input[type="text"]:focus {
        background: #fdfdfd;
        border: 1px solid #398ee7;
        border-radius: 0.1em;
    }
}

@media screen and (max-width: 450px) {
    .desafio-GameContainer {
        font-size: 0.8rem;
    }

    .desafio-StartGame {
        margin: 1em auto;
    }
}

@media screen and (max-width: 370px) {
    .desafio-GameContainer {
        font-size: 0.8rem;
    }
}

@media screen and (max-width: 250px) {
    .desafio-GameContainer {
        font-size: 0.6rem;
    }
}
